Bug 716580 - (httpry) Review Request: httpry - A specialized packet sniffer designed for displaying and logging HTTP traffic
Review Request: httpry - A specialized packet sniffer designed for displaying...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nick Bebout
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2011-06-24 22:54 EDT by Major Hayden
Modified: 2013-11-22 03:51 EST (History)
6 users (show)

See Also:
Fixed In Version: httpry-0.1.5-4.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-15 16:14:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
nb: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Major Hayden 2011-06-24 22:54:37 EDT
Spec URL: http://majorhayden.com/RPMS/httpry/httpry.spec
SRPM URL: http://majorhayden.com/RPMS/httpry/httpry-0.1.5-1.fc15.src.rpm
Description: httpry is a specialized packet sniffer designed for displaying and logging 
HTTP traffic. It is not intended to perform analysis itself, but to capture, 
parse, and log the traffic for later analysis. It can be run in real-time 
displaying the traffic as it is parsed, or as a daemon process that logs to 
an output file. It is written to be as lightweight and flexible as possible, 
so that it can be easily adaptable to different applications.
Comment 1 Veeti Paananen 2011-06-24 23:18:25 EDT
Just commenting: shouldn't the build be done with "make %{?_smp_mflags}"?
Comment 2 Major Hayden 2011-06-24 23:27:16 EDT
Veeti - good catch.  I just made that adjustment and uploaded the changes.

http://majorhayden.com/RPMS/httpry/httpry.spec
http://majorhayden.com/RPMS/httpry/httpry-0.1.5-2.fc15.src.rpm
Comment 3 Fabian Affolter 2011-06-25 06:17:43 EDT
You can't review your own package ;-)
Comment 4 Fabian Affolter 2011-06-25 06:39:18 EDT
Just some comments on your spec file:

- If you want to build your package for EPEL your build root needs to be cleaned
  https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag
  Otherwise remove all unnecessary stuff 'BuildRoot:' and %clean section.
- The man page httpry.1 is missing
  install -Dp -m 0644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
- There is no statement that httpry is GPLv2+, form my point of view it GPLv2. [1]
- tcp.h = BSD
- Complier flags are not honoured
  https://fedoraproject.org/wiki/Packaging:Guidelines#Compiler_flags


[1] License check
[fab@laptop021 httpry-0.1.5]$ licensecheck * -r
config.h: UNKNOWN
error.h: UNKNOWN
format.c: UNKNOWN
format.h: UNKNOWN
httpry.c: UNKNOWN
methods.c: UNKNOWN
methods.h: UNKNOWN
scripts/parse_log.pl: UNKNOWN
scripts/plugins/content_analysis.pm: UNKNOWN
scripts/plugins/sample_plugin.pm: UNKNOWN
scripts/plugins/find_proxies.pm: UNKNOWN
scripts/plugins/db_dump.pm: UNKNOWN
scripts/plugins/tokenize.pm: UNKNOWN
scripts/plugins/common_log.pm: UNKNOWN
scripts/plugins/search_terms.pm: UNKNOWN
scripts/plugins/hostnames.pm: UNKNOWN
scripts/plugins/xml_output.pm: UNKNOWN
scripts/plugins/log_summary.pm: UNKNOWN
tcp.h: BSD (2 clause) 
utility.c: UNKNOWN
utility.h: UNKNOWN
Comment 5 Major Hayden 2011-08-03 16:57:42 EDT
Thanks for all of the tips. I'd completely overlooked the EPEL requirements.  Hopefully these meet the packaging requirements:

http://majorhayden.com/RPMS/httpry/httpry-0.1.5.spec
http://majorhayden.com/RPMS/httpry/httpry-0.1.5-3.fc16.src.rpm
Comment 6 Nick Bebout 2011-09-19 18:45:40 EDT
Fabian: ping?  I can take this review if you are busy.
Comment 7 Nick Bebout 2011-10-18 21:55:42 EDT
[nb@desktop SPECS]$ rpmlint httpry.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[nb@desktop SRPMS]$ rpmlint httpry-0.1.5-3.fc15.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[nb@desktop x86_64]$ rpmlint httpry*0.1.5-3*
httpry-debuginfo.x86_64: E: debuginfo-without-sources
2 packages and 0 specfiles checked; 1 errors, 0 warnings.
Comment 8 Nick Bebout 2011-10-18 21:58:03 EDT
I'm going to finish this in the next day or two.  I took over this review request.
Comment 9 Nick Bebout 2012-01-19 20:11:12 EST
I finally finished this review, sorry for the delay.  This package is APPROVED.
Comment 10 Major Hayden 2012-02-07 13:24:03 EST
New Package SCM Request
=======================
Package Name: httpry
Short Description: A specialized packet sniffer designed for displaying and logging HTTP traffic.
Owners: mhayden
Branches: f15 f16 f17 el6 
InitialCC: nb
Comment 11 Jon Ciesla 2012-02-07 13:25:15 EST
Git done (by process-git-requests).

f17==devel for now.
Comment 12 Pavel Alexeev 2012-02-20 12:08:33 EST
Where updates? I have not seen it for F16 updates-testing.
Comment 13 Major Hayden 2012-02-20 22:12:31 EST
Sorry, haven't submitted the RPM quite yet. I'm trying to work on that this week. ;)
Comment 14 Fedora Update System 2012-02-20 22:47:48 EST
httpry-0.1.5-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/httpry-0.1.5-3.fc17
Comment 15 Fedora Update System 2012-02-20 22:52:22 EST
httpry-0.1.5-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/httpry-0.1.5-3.fc16
Comment 16 Fedora Update System 2012-02-20 22:53:11 EST
httpry-0.1.5-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/httpry-0.1.5-3.fc15
Comment 17 Fedora Update System 2012-02-20 22:53:50 EST
httpry-0.1.5-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/httpry-0.1.5-3.el6
Comment 18 Fedora Update System 2012-02-27 09:01:56 EST
httpry-0.1.5-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/httpry-0.1.5-4.el6
Comment 19 Fedora Update System 2012-02-27 09:02:57 EST
httpry-0.1.5-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/httpry-0.1.5-4.fc15
Comment 20 Fedora Update System 2012-02-27 09:03:52 EST
httpry-0.1.5-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/httpry-0.1.5-4.fc16
Comment 21 Fedora Update System 2012-02-27 09:04:39 EST
httpry-0.1.5-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/httpry-0.1.5-4.fc17
Comment 22 Fedora Update System 2012-03-06 15:25:39 EST
httpry-0.1.5-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2012-03-07 22:55:20 EST
httpry-0.1.5-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2012-03-07 23:53:20 EST
httpry-0.1.5-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2012-03-07 23:54:54 EST
httpry-0.1.5-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2012-03-15 15:54:44 EDT
httpry-0.1.5-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.